diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/packet-socket.cc ns-3.43/src/network/utils/packet-socket.cc
--- ns-3.42/src/network/utils/packet-socket.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/packet-socket.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 Emmanuelle Laprise, INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Emmanuelle Laprise <emmanuelle.laprise@bluekazoo.ca>
  *          Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
@@ -221,7 +210,7 @@
 PacketSocket::Connect(const Address& ad)
 {
     NS_LOG_FUNCTION(this << ad);
-    PacketSocketAddress address;
+
     if (m_state == STATE_CLOSED)
     {
         m_errno = ERROR_BADF;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/packet-socket-client.cc ns-3.43/src/network/utils/packet-socket-client.cc
--- ns-3.42/src/network/utils/packet-socket-client.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/packet-socket-client.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Universita' di Firenze
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/packet-socket-client.h ns-3.43/src/network/utils/packet-socket-client.h
--- ns-3.42/src/network/utils/packet-socket-client.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/packet-socket-client.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Universita' di Firenze
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/packet-socket-factory.cc ns-3.43/src/network/utils/packet-socket-factory.cc
--- ns-3.42/src/network/utils/packet-socket-factory.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/packet-socket-factory.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 Emmanuelle Laprise
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Emmanuelle Laprise <emmanuelle.laprise@bluekazoo.ca>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/packet-socket-factory.h ns-3.43/src/network/utils/packet-socket-factory.h
--- ns-3.42/src/network/utils/packet-socket-factory.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/packet-socket-factory.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 Emmanuelle Laprise
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Emmanuelle Laprise <emmanuelle.laprise@bluekazoo.ca>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/packet-socket.h ns-3.43/src/network/utils/packet-socket.h
--- ns-3.42/src/network/utils/packet-socket.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/packet-socket.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 Emmanuelle Laprise, INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Emmanuelle Laprise <emmanuelle.laprise@bluekazoo.ca>,
  *          Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/packet-socket-server.cc ns-3.43/src/network/utils/packet-socket-server.cc
--- ns-3.42/src/network/utils/packet-socket-server.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/packet-socket-server.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Universita' di Firenze
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/packet-socket-server.h ns-3.43/src/network/utils/packet-socket-server.h
--- ns-3.42/src/network/utils/packet-socket-server.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/packet-socket-server.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2014 Universita' di Firenze
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Tommaso Pecorella <tommaso.pecorella@unifi.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/pcap-file.cc ns-3.43/src/network/utils/pcap-file.cc
--- ns-3.42/src/network/utils/pcap-file.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/pcap-file.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author:  Craig Dowell (craigdo@ee.washington.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/pcap-file.h ns-3.43/src/network/utils/pcap-file.h
--- ns-3.42/src/network/utils/pcap-file.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/pcap-file.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author:  Craig Dowell (craigdo@ee.washington.edu)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/pcap-file-wrapper.cc ns-3.43/src/network/utils/pcap-file-wrapper.cc
--- ns-3.42/src/network/utils/pcap-file-wrapper.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/pcap-file-wrapper.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "pcap-file-wrapper.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/pcap-file-wrapper.h ns-3.43/src/network/utils/pcap-file-wrapper.h
--- ns-3.42/src/network/utils/pcap-file-wrapper.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/pcap-file-wrapper.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef PCAP_FILE_WRAPPER_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/pcap-test.h ns-3.43/src/network/utils/pcap-test.h
--- ns-3.42/src/network/utils/pcap-test.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/pcap-test.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2011 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@cutebugs.net>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/queue.cc ns-3.43/src/network/utils/queue.cc
--- ns-3.42/src/network/utils/queue.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/queue.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #include "queue.h"
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/queue-fwd.h ns-3.43/src/network/utils/queue-fwd.h
--- ns-3.42/src/network/utils/queue-fwd.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/queue-fwd.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2022 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 #ifndef QUEUE_FWD_H
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/queue.h ns-3.43/src/network/utils/queue.h
--- ns-3.42/src/network/utils/queue.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/queue.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2007 University of Washington
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  */
 
 // The queue base class has a limit on its size, in terms of number of
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/queue-item.cc ns-3.43/src/network/utils/queue-item.cc
--- ns-3.42/src/network/utils/queue-item.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/queue-item.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Stefano Avallone <stefano.avallone@unina.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/queue-item.h ns-3.43/src/network/utils/queue-item.h
--- ns-3.42/src/network/utils/queue-item.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/queue-item.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Stefano Avallone <stefano.avallone@unina.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/queue-limits.cc ns-3.43/src/network/utils/queue-limits.cc
--- ns-3.42/src/network/utils/queue-limits.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/queue-limits.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pasquale Imputato <p.imputato@gmail.com>
  *          Stefano Avallone <stefano.avallone@unina.it>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/queue-limits.h ns-3.43/src/network/utils/queue-limits.h
--- ns-3.42/src/network/utils/queue-limits.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/queue-limits.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2016 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Pasquale Imputato <p.imputato@gmail.com>
  *          Stefano Avallone <stefano.avallone@unina.it>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/queue-size.cc ns-3.43/src/network/utils/queue-size.cc
--- ns-3.42/src/network/utils/queue-size.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/queue-size.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2018 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Stefano Avallone <stavallo@unina.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/queue-size.h ns-3.43/src/network/utils/queue-size.h
--- ns-3.42/src/network/utils/queue-size.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/queue-size.h	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2018 Universita' degli Studi di Napoli Federico II
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Stefano Avallone <stavallo@unina.it>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/radiotap-header.cc ns-3.43/src/network/utils/radiotap-header.cc
--- ns-3.42/src/network/utils/radiotap-header.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/radiotap-header.cc	2024-10-09 16:41:10.072656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Include., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Nicola Baldo <nbaldo@cttc.es>
  *          Sébastien Deronne <sebastien.deronne@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/radiotap-header.h ns-3.43/src/network/utils/radiotap-header.h
--- ns-3.42/src/network/utils/radiotap-header.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/radiotap-header.h	2024-10-09 16:41:10.076656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2009 CTTC
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Include., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Authors: Nicola Baldo <nbaldo@cttc.es>
  *          Sébastien Deronne <sebastien.deronne@gmail.com>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/sequence-number.h ns-3.43/src/network/utils/sequence-number.h
--- ns-3.42/src/network/utils/sequence-number.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/sequence-number.h	2024-10-09 16:41:10.076656600 -0700
@@ -1,18 +1,7 @@
 //
 // Copyright (c) 2008-2010 INESC Porto
 //
-// This program is free software; you can redistribute it and/or modify
-// it under the terms of the GNU General Public License version 2 as
-// published by the Free Software Foundation;
-//
-// This program is distributed in the hope that it will be useful,
-// but WITHOUT ANY WARRANTY; without even the implied warranty of
-// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-// GNU General Public License for more details.
-//
-// You should have received a copy of the GNU General Public License
-// along with this program; if not, write to the Free Software
-// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+// SPDX-License-Identifier: GPL-2.0-only
 //
 // Author: Gustavo J. A. M. Carneiro  <gjc@inescporto.pt> <gjcarneiro@gmail.com>
 //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/simple-channel.cc ns-3.43/src/network/utils/simple-channel.cc
--- ns-3.42/src/network/utils/simple-channel.cc	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/simple-channel.cc	2024-10-09 16:41:10.076656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.42/src/network/utils/simple-channel.h ns-3.43/src/network/utils/simple-channel.h
--- ns-3.42/src/network/utils/simple-channel.h	2024-05-29 15:29:47.152073600 -0700
+++ ns-3.43/src/network/utils/simple-channel.h	2024-10-09 16:41:10.076656600 -0700
@@ -1,18 +1,7 @@
 /*
  * Copyright (c) 2008 INRIA
  *
- * This program is free software; you can redistribute it and/or modify
- * it under the terms of the GNU General Public License version 2 as
- * published by the Free Software Foundation;
- *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
+ * SPDX-License-Identifier: GPL-2.0-only
  *
  * Author: Mathieu Lacage <mathieu.lacage@sophia.inria.fr>
  */
